Module __builtin__ :: Class type

[show private | hide private]
[frames | no frames]

## Class type

    object --+
             |
            type

Known Subclasses:
  `MetaInterface`, `AccessorType`

type(object) -> the object's type type(name, bases, dict) -> a new type

Method Summary
a new object with type S, a subtype of T | ``__new__`(S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T

Class Variable Summary
`member_descriptor` | `__base__`
`member_descriptor` | `__bases__`
`member_descriptor` | `__basicsize__`
`wrapper_descriptor` | `__call__`
`wrapper_descriptor` | `__cmp__`
`wrapper_descriptor` | `__delattr__`
`member_descriptor` | `__dictoffset__`
`member_descriptor` | `__flags__`
`wrapper_descriptor` | `__getattribute__`
`wrapper_descriptor` | `__hash__`
`member_descriptor` | `__itemsize__`
`member_descriptor` | `__mro__`
`getset_descriptor` | `__name__`
`wrapper_descriptor` | `__repr__`
`wrapper_descriptor` | `__setattr__`
`method_descriptor` | `__subclasses__`
`member_descriptor` | `__weakrefoffset__`
`method_descriptor` | `mro`

Method Details

### __new__(S, ...)

T.__new__(S, ...) -> a new object with type S, a subtype of T

  Returns:
    a new object with type S, a subtype of T

Class Variable Details

### __base__

  Type:
    `member_descriptor`
  Value:

        <member '__base__' of 'type' objects>

### __bases__

  Type:
    `member_descriptor`
  Value:

        <member '__bases__' of 'type' objects>

### __basicsize__

  Type:
    `member_descriptor`
  Value:

        <member '__basicsize__' of 'type' objects>

### __call__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__call__' of 'type' objects>

### __cmp__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__cmp__' of 'type' objects>

### __delattr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__delattr__' of 'type' objects>

### __dictoffset__

  Type:
    `member_descriptor`
  Value:

        <member '__dictoffset__' of 'type' objects>

### __flags__

  Type:
    `member_descriptor`
  Value:

        <member '__flags__' of 'type' objects>

### __getattribute__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getattribute__' of 'type' objects>

### __hash__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__hash__' of 'type' objects>

### __itemsize__

  Type:
    `member_descriptor`
  Value:

        <member '__itemsize__' of 'type' objects>

### __mro__

  Type:
    `member_descriptor`
  Value:

        <member '__mro__' of 'type' objects>

### __name__

  Type:
    `getset_descriptor`
  Value:

        <attribute '__name__' of 'type' objects>

### __repr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__repr__' of 'type' objects>

### __setattr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__setattr__' of 'type' objects>

### __subclasses__

  Type:
    `method_descriptor`
  Value:

        <method '__subclasses__' of 'type' objects>

### __weakrefoffset__

  Type:
    `member_descriptor`
  Value:

        <member '__weakrefoffset__' of 'type' objects>

### mro

  Type:
    `method_descriptor`
  Value:

        <method 'mro' of 'type' objects>

Generated by Epydoc 1.1 on Thu May 8 13:18:16 2003 | http://epydoc.sf.net